

import {Injectable} from '@angular/core';
import {Http, Headers, RequestOptions} from '@angular/http';
import 'rxjs/add/operator/map';

//let apiUrl = "http://localhost/api_pos/";
//let apiUrl = 'http://web.kara-indonesia.com/api_pos/';
let apiUrl = "http://192.168.50.5/api_pos/";

@Injectable()
export class AuthService {

    constructor(public http: Http) {
        //console.log('Hello AuthService Provider');
    }

    postData(credentials, type) {
        let headers = new Headers({'Content-Type': 'application/json'});
        let options = new RequestOptions({headers: headers});
        let data = JSON.stringify(credentials);
        return new Promise((resolve, reject) => {
            this.http.post(apiUrl + type, data, options)
                .toPromise()
                .then((response) => {
                    //console.log('API Response : ', response.json());
                    resolve(response.json());
                })
                .catch((error) => {
                    //console.error('API Error : ', error.status);
                    console.error('API Error : ', JSON.stringify(error));
                    reject(error.json());
                });
        });
    }

}
